<?php

$sys['modules']['gift'] = $sys['modules']['gift'] ?? 1;

define('GFGifts', '_gift_*');

// можно ли смотреть подарки юзера?
function GiftAllowed($uid) {

    global $connect, $user;

    $row = is_array($uid) ? $uid : user($uid);

    if ($row) {

        if (isset($user) && $user['id'] == $row['id']) return true;

        if ($row['giftt'] == 1) return true; // можно всем

        if ($row['giftt'] == 3) return false; // никому нельзя

        if (isset($user)) { // можно друзьям

            $count = $connect->prepare("select count(*) from `friend` where `status` = '1' and (`from` = :from and `to` = :to or `from` = :to and `to` = :from)");
            $count->bindValue(':from', $row['id'], PDO::PARAM_INT);
            $count->bindValue(':to', $user['id'], PDO::PARAM_INT);
            $count->execute();
            $result = $count->fetchColumn();

            return $result;

        } else
            return false;

    } else
        return false;

}

// удаление подарка
function delGift($id) {

    global $connect;

    $file = GlobFiles::findById($id, GlobFiles::Files, GFGifts);

    if ($file)
        unlink($file);

    $del = $connect->prepare("delete from `gifts` where `id` = ?");
    $del->execute(array($id));

    $del_ug = $connect->prepare("delete from `user_gifts` where `gift` = ?");
    $del_ug->execute(array($id));

    return true;

}

// удаление подарков категории
function delKatGifts($kat) {

    global $connect;

    $data = $connect->prepare("select * from `gifts` where `kat` = ? order by `id`");
    $data->execute(array($kat));
    $sql = $data->fetchAll();

    foreach ($sql as $row) {

        delGift($row['id']);

    }

    return true;

}

if ($sys['modules']['gift'] == 1) {

    // prepared
    $stmt_user_gifts = $connect->prepare("select count(*) from `user_gifts` where `to` = ?");
    $stmt_user_og = $connect->prepare("select count(*) from `user_gifts` where `from` = ?");
    $stmt_kat_gifts = $connect->prepare("select count(*) from `gifts` where `kat` = ?");
    $strow_gift = $connect->prepare("select * from `gifts` where `id` = ?");

    // категории
    $count_gift_kat = $connect->query("select count(*) from `kat` where `type` = '3'")->fetchColumn();

    if (isset($active)) {

        // мои подарки
        $stmt_user_gifts->execute(array($user['id']));
        $count_user_gifts = $stmt_user_gifts->fetchColumn();

        // отправленные подарки
        $stmt_user_og->execute(array($user['id']));
        $count_user_og = $stmt_user_og->fetchColumn();

    }

}