<?php
$title = 'Подарки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/gift.php");
if ($sys['modules']['gift'] == 1) {

    $type = 3;

    switch ($act) {

        case 'ug':

            $row_u = user($id);

            if ($row_u) {

                $stmt_user_gifts->execute(array($id));
                $count_ug = $stmt_user_gifts->fetchColumn();

                echo '<div class="title">Подарки ('.$count_ug.')<span class="white-right-block-txt">'.profileLink($row_u).'</span></div>';

                if ($count_ug == 0) {
                    echo '<div class="menu">Подарков нет.</div>';
                } else {

                    $page = new Pagination($count_ug, 10);

                    $data = $connect->prepare("select * from `user_gifts` where `to` = :user order by `time` desc limit :start, 10");
                    $data->bindValue(':user', $id, PDO::PARAM_INT);
                    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                    $data->execute();
                    $sql = $data->fetchAll();

                    foreach ($sql as $row) {

                        $file = GlobFiles::findById($row['gift'], GlobFiles::Files, GFGifts);

                        $strow_gift->execute(array($row['gift']));
                        $grow = $strow_gift->fetch();

                        echo '<div class="menu">
                        <div class="menu-title">'.$grow['name'].'</div>
                        '.($file ? '<img src="/files/'.basename($file).'" alt="gift">' : '<div class="forbidden">Нет картинки!</div>').
                        (GiftAllowed($row_u) ? '<br/>Отправитель: '.profileLink($row['from']).'<br/>
                        Дата: '.daytime($row['time']).
                        ($row['comment'] ? '<hr/>'.nl2br(smiles(bb(bblinks($row['comment'])))) : '') : '').'
                        </div>';

                    }

                    $page->navigation();

                }

                if (isset($active) && $user['id'] != $id)
                    echo '<div class="menu"><a href="/gift/'.$id.'" class="butt2">Отправить подарок</a></div>';

            } else {
                header('Location: /');
            }

            break;

       case 'send':

            $gift = isset($_GET['gift']) ? intval($_GET['gift']) : false;

            $strow_gift->execute(array($gift));
            $row = $strow_gift->fetch();

            $row_u = user($id);

            if (isset($active) && $row && $row_u && $user['id'] != $id) {

                echo '<div class="title">Отправить подарок<span class="white-right-block-txt">Для '.profileLink($row_u).'</span></div>';

                $file = GlobFiles::findById($row['id'], GlobFiles::Files, GFGifts);

                echo '<div class="menu">
                <div class="menu-title">'.$row['name'].'</div>
                '.($file ? '<img src="/files/'.basename($file).'" alt="gift">' : '<div class="forbidden">Нет картинки!</div>').'<br/>
                Цена: <span class="wa-span-green">'.rub($row['cena']).'</span>
                </div>';

                SmilesAndBB('#comment');

                if (isset($_POST['send'])) {
                    $error = '';
                    if ($user['money'] < $row['cena']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if (!empty($_POST['comment']) && mb_strlen($_POST['comment']) > 750) {
                        $error.= 'Комментарий должен содержать не более 750 символов!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("insert into `user_gifts` set `time` = ?, `gift` = ?, `comment` = ?, `from` = ?, `to` = ?");
                        if (pay(-$row['cena'], $user['id']) &&
                            $stmt->execute(array(time(), $row['id'], $_POST['comment'], $user['id'], $id))) {
                            notification('[b]'.$user['login'].'[/b] отправил вам [url='.ROOT.'/gift]подарок[/url]!', $id);
                            header('Location: /user/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }

                echo '<div class="menu">
                <form action="" method="POST">
                Комментарий:<br/><textarea id="comment" name="comment" rows="5" cols="25"></textarea><br/>
                <input type="submit" name="send" value="Подтвердить отправку подарка">
                </form></div>';

                echo '<div class="forlink"><a href="/gift/category/'.$row['kat'].'/'.$id.'" class="links">Назад</a></div>';

            } else {
                header('Location: /');
            }

            break;

       case 'category':

            $kat = isset($_GET['kat']) ? intval($_GET['kat']) : false;

            $strow_kat = $connect->prepare("select * from `kat` where `id` = ? and `type` = ?");
            $strow_kat->execute(array($kat, $type));
            $krow = $strow_kat->fetch();

            $row_u = user($id);

            if (isset($active) && $krow && $row_u && $user['id'] != $id) {

                $stmt_kat_gifts->execute(array($kat));
                $kat_gifts = $stmt_kat_gifts->fetchColumn();

                echo '<div class="title">Отправить подарок<span class="white-right-block-txt">Для '.profileLink($row_u).'</span></div>
                <div class="menu">
                <b>'.$krow['name'].' ('.$kat_gifts.')</b>
                <br/>Выберите подарок</div>';

                if ($kat_gifts == 0) {
                    echo '<div class="menu">Подарков нет.</div>';
                } else {

                    $page = new Pagination($kat_gifts, 10);

                    $data = $connect->prepare("select * from `gifts` where `kat` = :kat order by `id` desc limit :start, 10");
                    $data->bindValue(':kat', $kat, PDO::PARAM_INT);
                    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                    $data->execute();
                    $sql = $data->fetchAll();

                    foreach ($sql as $row) {

                        $file = GlobFiles::findById($row['id'], GlobFiles::Files, GFGifts);

                        echo '<div class="menu">
                        <div class="menu-title">'.$row['name'].'</div>
                        '.($file ? '<img src="/files/'.basename($file).'" alt="gift">' : '<div class="forbidden">Нет картинки!</div>').'<br/>
                        Цена: <span class="wa-span-green">'.rub($row['cena']).'</span>
                        <div class="butt5">
                        <a href="/gift/send/'.$row['id'].'/'.$id.'">Выбрать</a>
                        </div>
                        </div>';

                    }

                    $page->navigation();

                }

                echo '<div class="forlink"><a href="/gift/'.$id.'" class="links">Назад</a></div>';

            } else {
                header('Location: /');
            }

            break;

       case 'gift':

            $row_u = user($id);

            if (isset($active) && $row_u && $user['id'] != $id) {

                echo '<div class="title">Отправить подарок<span class="white-right-block-txt">Для '.profileLink($row_u).'</span></div>
                <div class="menu">Выберите категорию</div>';

                $stmt_count = $connect->prepare("select count(*) from `gifts` where `kat` = ?");

                if ($count_gift_kat == 0) {
                    echo '<div class="menu">Категорий нет!</div>';
                } else {

                    $page = new Pagination($count_gift_kat, 10);

                    $data = $connect->prepare("select * from `kat` where `type` = :type order by `id` desc limit :start, 10");
                    $data->bindValue(':type', $type, PDO::PARAM_INT);
                    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                    $data->execute();
                    $sql = $data->fetchAll();

                    foreach ($sql as $row) {

                        $stmt_count->execute(array($row['id']));
                        $count = $stmt_count->fetchColumn();

                        echo '<div class="forlink"><a href="/gift/category/'.$row['id'].'/'.$id.'" class="links"><img src="/img/present.png" alt="present">'.$row['name'].'<div class="chi">'.$count.'</div></a></div>';

                    }

                    $page->navigation();

                }

            } else {
                header('Location: /');
            }

            break;

        case 'out':

            if (isset($active)) {

                echo '<div class="title">Отправленные подарки ('.$count_user_og.')</div>';

                if ($count_user_og == 0) {
                    echo '<div class="menu">Отправленных подарков нет.</div>';
                } else {

                    $page = new Pagination($count_user_og, 10);

                    $data = $connect->prepare("select * from `user_gifts` where `from` = :user order by `time` desc limit :start, 10");
                    $data->bindValue(':user', $user['id'], PDO::PARAM_INT);
                    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                    $data->execute();
                    $sql = $data->fetchAll();

                    foreach ($sql as $row) {

                        $file = GlobFiles::findById($row['gift'], GlobFiles::Files, GFGifts);

                        $strow_gift->execute(array($row['gift']));
                        $grow = $strow_gift->fetch();

                        echo '<div class="menu">
                        <div class="menu-title">'.$grow['name'].'</div>
                        '.($file ? '<img src="/files/'.basename($file).'" alt="gift">' : '<div class="forbidden">Нет картинки!</div>').'<br/>
                        Кому: '.profileLink($row['to']).'<br/>
                        Дата: '.daytime($row['time']).
                        ($row['comment'] ? '<hr/>'.nl2br(smiles(bb(bblinks($row['comment'])))) : '').'
                        </div>';

                    }

                    $page->navigation();

                }

                echo '<div class="forlink"><a href="/gift" class="links"><img src="/img/present.png" alt="present">Мои подарки<div class="chi">'.$count_user_gifts.'</div></a></div>';

            } else {
                header('Location: /');
            }

            break;

        default:

            if (isset($active)) {

                echo '<div class="title">Мои подарки ('.$count_user_gifts.')</div>';

                if ($count_user_gifts == 0) {
                    echo '<div class="menu">Подарков нет.</div>';
                } else {

                    $page = new Pagination($count_user_gifts, 10);

                    $data = $connect->prepare("select * from `user_gifts` where `to` = :user order by `time` desc limit :start, 10");
                    $data->bindValue(':user', $user['id'], PDO::PARAM_INT);
                    $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                    $data->execute();
                    $sql = $data->fetchAll();

                    foreach ($sql as $row) {

                        $file = GlobFiles::findById($row['gift'], GlobFiles::Files, GFGifts);

                        $strow_gift->execute(array($row['gift']));
                        $grow = $strow_gift->fetch();

                        echo '<div class="menu">
                        <div class="menu-title">'.$grow['name'].'</div>
                        '.($file ? '<img src="/files/'.basename($file).'" alt="gift">' : '<div class="forbidden">Нет картинки!</div>').'<br/>
                        Отправитель: '.profileLink($row['from']).'<br/>
                        Дата: '.daytime($row['time']).
                        ($row['comment'] ? '<hr/>'.nl2br(smiles(bb(bblinks($row['comment'])))) : '').'
                        </div>';

                    }

                    $page->navigation();

                }

                echo '<div class="forlink"><a href="/gift/out" class="links"><img src="/img/present.png" alt="present">Отправленные подарки<div class="chi">'.$count_user_og.'</div></a></div>';

                if (isset($_POST['submit'])) {

                    $giftt = isset($_POST['giftt']) ? intval($_POST['giftt']) : 1;

                    $stmt = $connect->prepare("update `users` set `giftt` = ? where `id` = ?");

                    if ($stmt->execute(array($giftt, $user['id']))) {
                        header('Location: /gift');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }

                echo '<div class="menu">
                <form action="" method="POST">
                Кто может смотреть подробную информацию моих подарков?<br/>
                <select name="giftt">
                <option value="1">Все</option>
                <option '.($user['giftt'] == 2 ? 'selected' : '').' value="2">Только друзья</option>
                <option '.($user['giftt'] == 3 ? 'selected' : '').' value="3">Только я</option>
                </select><br/>
                <input type="submit" name="submit" value="Сохранить">
                </form></div>';

            } else {
                header('Location: /');
            }

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>